Bug 145199 - alsa broken in kernel-2.6.10-1.741_FC3
alsa broken in kernel-2.6.10-1.741_FC3
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-01-15 01:12 EST by Walter Neumann
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-17 09:08:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Walter Neumann 2005-01-15 01:12:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
After updating to kernel-2.6.10-1.741_FC3 from kernel-2.6.10-1.737_FC3
alsa is no longer working.

amixer gives the error:

amixer: Control default cinfo error: No such file or directory

The loaded modules are snd_ntel8x0m and snd_intel8x0. The following
items are missing from the /proc/asound directory (that are there with
kernel 2.6.10-1.737_FC3)


and all of /proc/asound/card1 and its contents.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.boot with kernel-2.6.10-1.741_FC3
2. load modules snd_intel8x0m and snd_intel8x0

Actual Results:  Missing items in /proc/asound as detailed above and
sound and modem do not work.

Expected Results:  Fully populated /proc/asound and sound and modem
work. Reverting to kernel kernel-2.6.10-1.737_FC3 restores expected

Additional info:
Comment 1 Walter Neumann 2005-01-17 09:08:15 EST
Resolution: after the upgrade to  kernel-2.6.10-1.741_FC3
the following line in modprobe.conf causes loading the module
intel8x0.ko to fail:

options snd-intel8x0 index=0 id="ICH"

Removing this line from modprobe.conf resolves the problem.

Note You need to log in before you can comment on or make changes to this bug.